cxxabi_tweaks.h File Reference

Go to the source code of this file.

## Macros

#define | _GLIBCXX_CXA_VEC_CTOR_RETURN(x)
#define | _GLIBCXX_GUARD_BIT
#define | _GLIBCXX_GUARD_PENDING_BIT
#define | _GLIBCXX_GUARD_SET(x)
#define | _GLIBCXX_GUARD_TEST(x)
#define | _GLIBCXX_GUARD_WAITING_BIT

## Typedefs

typedef void | __cxxabiv1::__cxa_cdtor_return_type
typedef void | __cxxabiv1::__cxa_vec_ctor_return_type

## Variables

__extension__ typedef int | __cxxabiv1::__guard

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <cxxabi.h>.

Definition in file cxxabi_tweaks.h.

## Macro Definition Documentation

## _GLIBCXX_CXA_VEC_CTOR_RETURN

#define _GLIBCXX_CXA_VEC_CTOR_RETURN | ( |  | x | ) |

Definition at line 50 of file cxxabi_tweaks.h.

## _GLIBCXX_GUARD_BIT

#define _GLIBCXX_GUARD_BIT

Definition at line 43 of file cxxabi_tweaks.h.

## _GLIBCXX_GUARD_PENDING_BIT

#define _GLIBCXX_GUARD_PENDING_BIT

Definition at line 44 of file cxxabi_tweaks.h.

## _GLIBCXX_GUARD_SET

#define _GLIBCXX_GUARD_SET | ( |  | x | ) |

Definition at line 42 of file cxxabi_tweaks.h.

## _GLIBCXX_GUARD_TEST

#define _GLIBCXX_GUARD_TEST | ( |  | x | ) |

Definition at line 41 of file cxxabi_tweaks.h.

## _GLIBCXX_GUARD_WAITING_BIT

#define _GLIBCXX_GUARD_WAITING_BIT

Definition at line 45 of file cxxabi_tweaks.h.

## Typedef Documentation

## __cxa_cdtor_return_type

typedef void __cxxabiv1::__cxa_cdtor_return_type

Definition at line 52 of file cxxabi_tweaks.h.

## __cxa_vec_ctor_return_type

typedef void __cxxabiv1::__cxa_vec_ctor_return_type

Definition at line 49 of file cxxabi_tweaks.h.

## Variable Documentation

## __guard

__extension__ typedef int __cxxabiv1::__guard

Definition at line 46 of file cxxabi_tweaks.h.